Page 7 of 12 FirstFirst ... 56789 ... LastLast
Results 61 to 70 of 114

Thread: Problem compiling QtiPlot 0.9.8 with xls import

  1. #61
    Join Date
    Oct 2005
    Beans
    94

    Re: Problem compiling QtiPlot 0.9.8 with xls import

    Here is the content of QtiPlot folder:
    casper@casper-home:~/QtiPlot$ ls
    cpp
    EmfEngine
    ExcelFormat_src
    liborigin2
    QTeXEngine
    qtiplot-0.9.8.4
    tamu-anova-0.2

    I used the build.config from the french site and I still have an error:

    g++ -c -pipe -O2 -D_REENTRANT -Wall -W -DSCRIPTING_CONSOLE -DSVN_REVISION="\"\"" -DQT_PLUGIN -DSCRIPTING_MUPARSER -DSCRIPTING_PYTHON -DGL2PS_HAVE_LIBPNG -DTEX_OUTPUT -DHAVE_ALGLIB -DHAVE_TAMUANOVA -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_XML_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtXml -I/usr/include/qt4/Qt3Support -I/usr/include/qt4/QtSvg -I/usr/include/qt4 -I/usr/include/qt4/QtAssistantClient -I/usr/include/qt4/QtAssistant -I../3rdparty/zlib -I/usr/local/include -I../3rdparty/qwt/src -I../3rdparty/qwtplot3d/include -Iicons -Isrc/analysis -Isrc/analysis/dialogs -Isrc/core -Isrc/excel -Isrc/lib/include -Isrc/lib/3rdparty/qtcolorpicker/src -Isrc/plot2D -Isrc/plot2D/dialogs -Isrc/plot3D -Isrc/matrix -Isrc/table -Isrc/scripting -I/usr/include/python2.6 -I../../QTexEngine/src/ -I../../cpp/src -I../../tamu_anova-0.2/ -I-I/../tmp/qtiplot -I/usr/X11R6/include -I/home/casper/QtiPlot/qtiplot-0.9.8.4/tmp/qtiplot -o ../tmp/qtiplot/sipqtiAnova.o ../tmp/qtiplot/sipqtiAnova.cpp
    In file included from src/scripting/qti.sip:3396:
    src/analysis/Anova.h:33: fatal error: tamu_anova.h: No such file or directory
    compilation terminated.

    I have tried to compile qtiplot using this site:
    http://elubuntu.blogspot.com/2011/02...99482721242809

    He has everything in 3rdparty folder, and The build.config is different. I still had a problem with that tamu_nova. Does anyone know how to compile without tamu_nova, or can provide with the step-by-step instructions that work.
    Thanks for your help.

  2. #62
    Join Date
    Oct 2005
    Beans
    94

    Re: Problem compiling QtiPlot 0.9.8 with xls import

    I found the reason for that anova error, it was "tamu-anova", and should be "tamu_anova". Well, now I have another one:
    g++: ../3rdparty/qwtplot3d/lib/libqwtplot3d.a: No such file or directory

    Who knows what to do, please, help.

  3. #63
    Join Date
    Feb 2009
    Beans
    28

    Re: Problem compiling QtiPlot 0.9.8 with xls import

    Did you had the line

    unix:CONFIG += staticlib

    on the 3rdparty/qwtplot3d/libqwtplot3d.pro ?

  4. #64
    Join Date
    Oct 2005
    Beans
    94

    Re: Problem compiling QtiPlot 0.9.8 with xls import

    """unix:CONFIG += staticlib
    on the 3rdparty/qwtplot3d/libqwtplot3d.pro ?"""

    Do you mean 3rdparty/qwtplot3d/qwtplot3d.pro ?
    I did not have such a line in this file, but I did not have it for qtiplot-0.9.8.3 and it was compiled successfully.
    Where should I put that line?

  5. #65
    Join Date
    Feb 2009
    Beans
    28

    Re: Problem compiling QtiPlot 0.9.8 with xls import

    Quote Originally Posted by barmaley View Post

    Do you mean 3rdparty/qwtplot3d/qwtplot3d.pro ?
    Yes...
    Quote Originally Posted by barmaley View Post
    I did not have such a line in this file, but I did not have it for qtiplot-0.9.8.3 and it was compiled successfully.
    Where should I put that line?
    IN the 3rdparty/qwtplot3d/qwtplot3d.pro where you want. I put it on line 17. Here are the first lines :

    # pro file for building the makefile for qwtplot3d

    #



    include (qwtplot3d.pri)



    CONFIG += qt warn_on opengl thread zlib release

    MOC_DIR = tmp

    OBJECTS_DIR = tmp

    INCLUDEPATH = include

    DEPENDPATH = include src

    QT += opengl



    CONFIG += dll

    win32:CONFIG += exceptions

    win32:dllEFINES += QT_DLL QWT3D_DLL QWT3D_MAKEDLL

    win32:QMAKE_CXXFLAGS += $$QMAKE_CFLAGS_STL

    unix:CONFIG += staticlib



    # Comment the next line, if you have zlib on your windows system

    win32:CONFIG -= zlib

  6. #66
    Join Date
    Oct 2005
    Beans
    94

    Re: Problem compiling QtiPlot 0.9.8 with xls import

    Hi, everyone
    It's killing me. I added the "unix:CONFIG += staticlib" line to 3rdparty/qwtplot3d/qwtplot3d.pro. After "make" command, the compilation was doing the job for quite a bit, and then I got a new error. I attached it to the comment, since the forum did not allow me to post it as it is
    Need your help, guys.
    Thanks.
    Attached Files Attached Files

  7. #67
    Join Date
    Feb 2009
    Beans
    28

    Re: Problem compiling QtiPlot 0.9.8 with xls import

    Quote Originally Posted by barmaley View Post
    Hi, everyone
    It's killing me. I added the "unix:CONFIG += staticlib" line to 3rdparty/qwtplot3d/qwtplot3d.pro. After "make" command, the compilation was doing the job for quite a bit, and then I got a new error. I attached it to the comment, since the forum did not allow me to post it as it is
    Need your help, guys.
    Thanks.
    I don't know what is this error. could you try do to a 'make clean' and compile again.

    What is your version's number of muParser ?

    Thanks

    Raoul
    Last edited by volfoni54; February 24th, 2011 at 11:55 AM.

  8. #68
    Join Date
    Oct 2005
    Beans
    94

    Re: Problem compiling QtiPlot 0.9.8 with xls import

    I installed muparser_v134. I took it from this web-page http://downloads.sourceforge.net/pro...er_v134.tar.gz
    actually I followed the french site directions.
    Do you think I should re-install it?

  9. #69
    Join Date
    Feb 2009
    Beans
    28

    Re: Problem compiling QtiPlot 0.9.8 with xls import

    Quote Originally Posted by barmaley View Post
    Do you think I should re-install it?
    No, I think you should do a "make clean", delete the files in QTI_ROOT/tmp/qtiplot and then try yo recompile it.

    Do you have more errors ?

    Thanks

    Raoul

  10. #70
    Join Date
    Oct 2005
    Beans
    94

    Re: Problem compiling QtiPlot 0.9.8 with xls import

    I did make clean and cleaned QTI_ROOT/tmp/qtiplot folder, after that I ran qmake and make again, but still ERROR:

    src/scripting/muParserScripting.cpp:103: warning: deprecated conversion from string constant to ‘char*’
    src/scripting/muParserScripting.cpp:103: warning: deprecated conversion from string constant to ‘char*’
    g++ -c -pipe -O2 -D_REENTRANT -Wall -W -DSCRIPTING_CONSOLE -DSVN_REVISION="\"\"" -DQT_PLUGIN -DSCRIPTING_MUPARSER -DSCRIPTING_PYTHON -DGL2PS_HAVE_LIBPNG -DTEX_OUTPUT -DHAVE_ALGLIB -DHAVE_TAMUANOVA -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_XML_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtXml -I/usr/include/qt4/Qt3Support -I/usr/include/qt4/QtSvg -I/usr/include/qt4 -I/usr/include/qt4/QtAssistantClient -I/usr/include/qt4/QtAssistant -I../3rdparty/zlib -I/usr/local/include -I../3rdparty/qwt/src -I../3rdparty/qwtplot3d/include -Iicons -Isrc/analysis -Isrc/analysis/dialogs -Isrc/core -Isrc/excel -Isrc/lib/include -Isrc/lib/3rdparty/qtcolorpicker/src -Isrc/plot2D -Isrc/plot2D/dialogs -Isrc/plot3D -Isrc/matrix -Isrc/table -Isrc/scripting -I/usr/include/python2.6 -I../../QTexEngine/src/ -I../../cpp/src -I../../tamu_anova-0.2 -I-I/../tmp/qtiplot -I/usr/X11R6/include -I/home/casper/QtiPlot_fr/qtiplot-0.9.8.4/tmp/qtiplot -o ../tmp/qtiplot/PythonScript.o src/scripting/PythonScript.cpp
    g++ -c -pipe -O2 -D_REENTRANT -Wall -W -DSCRIPTING_CONSOLE -DSVN_REVISION="\"\"" -DQT_PLUGIN -DSCRIPTING_MUPARSER -DSCRIPTING_PYTHON -DGL2PS_HAVE_LIBPNG -DTEX_OUTPUT -DHAVE_ALGLIB -DHAVE_TAMUANOVA -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_XML_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtXml -I/usr/include/qt4/Qt3Support -I/usr/include/qt4/QtSvg -I/usr/include/qt4 -I/usr/include/qt4/QtAssistantClient -I/usr/include/qt4/QtAssistant -I../3rdparty/zlib -I/usr/local/include -I../3rdparty/qwt/src -I../3rdparty/qwtplot3d/include -Iicons -Isrc/analysis -Isrc/analysis/dialogs -Isrc/core -Isrc/excel -Isrc/lib/include -Isrc/lib/3rdparty/qtcolorpicker/src -Isrc/plot2D -Isrc/plot2D/dialogs -Isrc/plot3D -Isrc/matrix -Isrc/table -Isrc/scripting -I/usr/include/python2.6 -I../../QTexEngine/src/ -I../../cpp/src -I../../tamu_anova-0.2 -I-I/../tmp/qtiplot -I/usr/X11R6/include -I/home/casper/QtiPlot_fr/qtiplot-0.9.8.4/tmp/qtiplot -o ../tmp/qtiplot/PythonScripting.o src/scripting/PythonScripting.cpp
    src/scripting/PythonScripting.cpp:61: fatal error: sipAPIqti.h: No such file or directory
    compilation terminated.
    make[1]: *** [../tmp/qtiplot/PythonScripting.o] Error 1

    Do I have to compile all those sip and muparser, etc in the QTI_ROOT/tmp/ folder? It should not matter, since I used "sudo make install" for all of them, so those libraries are now installed for the entire system. What is wrong with this qtiplot, it is always a struggle, but this time it is outrageous.

Page 7 of 12 FirstFirst ... 56789 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •